Skip to content

upsertMaterialType

WRITE

Upsert material type.

POST /api/v1/items/upsertMaterialType
curl -X POST '<your-host>/api/v1/items/upsertMaterialType' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "materialSubstanceId": "string",
    "materialFormId": "string",
    "name": "string",
    "code": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1max length 10
min length 1
min length 1
min length 1max length 255

Input schema

schema
{
  "type": "object",
  "properties": {
    "materialSubstanceId": {
      "type": "string",
      "minLength": 1
    },
    "materialFormId": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 255
    },
    "code": {
      "type": "string",
      "minLength": 1,
      "maxLength": 10
    },
    "id": {
      "type": "string"
    }
  },
  "required": [
    "materialSubstanceId",
    "materialFormId",
    "name",
    "code"
  ]
}